Subject: [codec] Example downmix matrices for Ogg Opus

From: Ralph Giles <[email-masked]>
Date: Mon, 14 Jan 2013 18:50:18 -0800

I've been working on multichannel support with Opus in the Ogg container
(and also flac) recently. It has been proposed that we include
RECOMMENDED coefficients for matrix downmixing from surround to stereo
(or mono).

Opinions differ on the idea matrix, and a single matrix multiply isn't
the highest-quality option. More advanced techiniques include dynamic
range compression and frequency-dependent behaviour.

Nevertheless, given general variation with this popular techinique,
documenting a preferred behaviour could help reduced implementation
variance.

Anyone have thoughts one way or the other?

 -r